%define oname 		xfce4-mixer
%define iconname  	%{oname}.png

Summary:	Volume control for the Xfce
Name:		xfce-mixer
Version:	4.4.1
Release:	%mkrel 3
License:	BSD
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	xfce4-mixer-%{version}.tar.bz2
Patch0:		01_volume_hotkeys.patch
Requires:	xfce-panel >= %{version}
BuildRequires:	xfce-panel-devel >= %{version}
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	ImageMagick
BuildRequires:	xfce-mcs-manager-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	desktop-file-utils
BuildRequires:	libalsa-devel
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Xfce-mixer is the volume control for Xfce. It includes
a sound mixer.

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1

%build
%configure2_5x \
	--with-sound=alsa \
	--enable-final \
	--disable-static
# (tpg) don't use macro because parallel build fails
# use dirty hacks :)
%(echo %make|perl -pe 's/-j\d+/-j1/g')

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{32x32,16x16}/apps
convert settings/%{oname}.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{iconname}
convert settings/%{oname}.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{iconname}

desktop-file-install --vendor="" \
--remove-category="X-FACE" \
--add-category="Mixer" \
--add-category="Audio" \
--add-category="X-MandrivaLinux-Multimedia-Sound" \
--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{oname}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor
 

%files -f %{oname}.lang
%defattr(-,root,root)
%doc README ChangeLog NOTES INSTALL COPYING AUTHORS
%{_bindir}/*
%{_datadir}/applications/xfce*
%{_iconsdir}/hicolor/*/apps/%{iconname}
%{_datadir}/xfce4/panel-plugins/
%{_libdir}/xfce4/panel-plugins/
%{_libdir}/xfce4/mcs-plugins/
%{_libdir}/xfce4/modules/*


%changelog
* Mon Jun 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2007.1
+ Revision: 35072
- use dirty hack for parallel build
- add patch 0 (multimedia keys)

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 32844
- s/imagemagick/ImageMagick
- correct requires
- use macros in %%post and %%postun
- compile with alsa support

* Wed Apr 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 18151
- Disable parallel build
- Push new release 4.4.1
- New release 4.4.1


* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 4.4.0-3mdv2007.0
+ Revision: 113951
- really fix icon cache handling

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 4.4.0-2mdv2007.1
+ Revision: 113611
- fix icon cache handling

* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.1
+ Revision: 112323
- New release 4.4.0

* Wed Dec 13 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 96180
- New release 4.3.99.2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix BuildRequires
    - Add BuildRequires
    - import xfce-mixer-4.3.90.2-2mdv2007.0

* Thu Jul 13 2006 Charles A Edwards <eslrahc@mandriva> 4.3.90.2-2mdv2007.0
- fix menu
- use icon_cache marco
- add missing changelog entry
  * Mon Jul 10 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
    - 4.3.90.2 (Xfce-4.4 beta2)
    - xdg

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Sun Apr 23 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1
- xdg

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-1.svn_r20246.1mdk
- svn r20246
- make release 1.xx.x to fix upgrade

* Tue Feb 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 4.3.0-0.svn_r19739.2mdk
- Fix BuildRequires

* Sat Feb 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk
- 4.3.0 svn r19739
- don't run libtoolize
- update filelist

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- remove unneeded devel files

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%{1}mdv2007.1

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- buildrequires ImageMagick

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Wed Nov 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1 (4.2 RC 1)
- add menu and icons
- update file list

* Tue Jul 13 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sun Apr 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Sat Apr 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

